# https://github.com/kohya-ss/sd-scripts
# block weight modify loras with ratios
# blocks can be floats, ie: 0.0 -> 999.0
# output files will appear next to input file

# Config Start

$model = "X:\SD\voldy\models\Lora\LoconBurstingBreasts_v1_bw_dim2_sv_fro_dp0.95.safetensors"
#          BSE I00 I01 I02 I03 I04 I05 I06 I07 I08 I09 I10 I11 MID O00 O01 O02 O03 O04 O05 O06 O07 O08 O09 O10 O11 
$blocks = "0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  1,  0,  0,  0,  0,  0,  0"

# Config End

Clear-Host

Write-Host $models
Write-Host $ratios

.\venv\Scripts\activate

$file_name = (Split-Path $model -Leaf)
$fi = ([io.fileinfo]$file_name)
$model_saved = Join-Path -Path $(Split-Path ($model) -Parent) "$($fi.BaseName)_bw.safetensors"
Write-Host $model_saved

python .\networks\block_weight_lora.py `
    --save_to=$model_saved `
    --model=$model `
    --blocks=$blocks